<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from scibench_getsettings.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="scibench_getsettings" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>scibench_getsettings</refname><refpurpose>Inquire the parameters of Scilab and its environment.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   env = scibench_getsettings (  )

   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>env :</term>
      <listitem><para> a tlist with fields</para></listitem></varlistentry>
   <varlistentry><term>env.nproc :</term>
      <listitem><para> a 1x1 matrix of floating point integers, the number of processors</para></listitem></varlistentry>
   <varlistentry><term>env.os :</term>
      <listitem><para> a 1x1 matrix of strings, the operating system</para></listitem></varlistentry>
   <varlistentry><term>env.archi :</term>
      <listitem><para> a 1x1 matrix of strings, the 32/64 bits architecture</para></listitem></varlistentry>
   <varlistentry><term>env.cpu :</term>
      <listitem><para> a 1x1 matrix of strings, the type of CPU</para></listitem></varlistentry>
   <varlistentry><term>env.version :</term>
      <listitem><para> a 1x1 matrix of strings, the version of Scilab</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
This function allows to gather major informations related to the
environment where the script is launched.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
env = scibench_getsettings ( )

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>2010 - DIGITEO - Michael Baudin</member>
   </simplelist>
</refsection>
</refentry>
